Bug 245500 - www/npm: Remove unnecessary Python <version-spec> restriction (Allow Python 3.x)
Summary: www/npm: Remove unnecessary Python <version-spec> restriction (Allow Python 3.x)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: buildisok, easy, needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-10 06:37 UTC by Matthias Fechner
Modified: 2020-04-26 12:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
koobs: merge-quarterly?


Attachments
Use default python version (457 bytes, patch)
2020-04-10 06:37 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2020-04-10 06:37:12 UTC
Created attachment 213241 [details]
Use default python version

Currently npm uses python 2.7 which is EOL.

I tested the attached patch with several projects (that are pulling deps needing compilation) and they where all nicely compiled using python 3.7.7 which is currently the standard version.

These tests failed some time ago, but it seems that upstream everything was fixed.
Comment 1 Automation User 2020-04-25 01:26:12 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/139728125
Comment 2 commit-hook freebsd_committer 2020-04-26 12:00:11 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Apr 26 11:59:37 UTC 2020
New revision: 533054
URL: https://svnweb.freebsd.org/changeset/ports/533054

Log:
  Relax USES=python

  - Bump PORTREVISION for dependency change

  PR:		245500
  Submitted by:	mfechner

Changes:
  head/www/npm/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-26 12:00:35 UTC
Committed. Thanks!